<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html class="ui-mobile ui-mobile-rendering">
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=Edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <meta name="web_author" content="interactive instruments GmbH">
      <title>ETF Test Report</title>
      <link rel="stylesheet" href="http://resources.etf-validator.net/report/v2/css/de.interactive-instruments.min.css">
      <link rel="stylesheet" href="http://resources.etf-validator.net/report/v2/css/de.interactive-instruments.rep.css">
      <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.css"><script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.11.3.min.js"></script><script src="http://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.js"></script></head>
   <body class="ui-mobile-viewport ui-overlay-a">
      <div data-role="header">
         <h1>metadata_17316219_Geodetick&amp;yacute; a kartografick&amp;yacute; &amp;uacute;stav Bratislava(GK&amp;Uacute;)_INSPIRE
            ZBGIS
         </h1><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//#test-reports" data-ajax="false" data-icon="back" data-iconpos="notext"></a></div>
      <div data-role="content">
         <div class="ui-grid-b">
            <div class="ui-block-a">
               <div id="rprtInfo">
                  <table>
                     <tbody>
                        <tr class="ReportDetail">
                           <td>Report URI</td>
                           <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EIDf3b86677-2463-47c0-a957-a07736403359.html?lang=en" data-ajax="false">Link</a></td>
                        </tr>
                        <tr>
                           <td>Status</td>
                           <td>Internal error in test engine occured</td>
                        </tr>
                        <tr>
                           <td>Started</td>
                           <td>05/12/2017 19:35:04 GMT</td>
                        </tr>
                        <tr>
                           <td>Duration</td>
                           <td>2.581 s</td>
                        </tr>
                        <tr class="ReportDetail">
                           <td>Report version</td>
                           <td>2.0.0-b170610</td>
                        </tr>
                        <tr class="ReportDetail">
                           <td>Log URI</td>
                           <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/f3b86677-2463-47c0-a957-a07736403359/log" data-ajax="false">Link</a></td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
            <div class="ui-block-b">
               <div id="rprtStatistics">
                  <table id="my-table">
                     <thead>
                        <tr>
                           <th></th>
                           <th>Total Count</th>
                           <th>Skipped</th>
                           <th>Failed</th>
                           <th>Warnings</th>
                           <th>Manual</th>
                        </tr>
                     </thead>
                     <tbody>
                        <tr>
                           <td>Test suites</td>
                           <td>2</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Test cases</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                        <tr>
                           <td>Assertions</td>
                           <td>1</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                           <td>0</td>
                        </tr>
                     </tbody>
                  </table>
               </div>
            </div>
            <div class="ui-block-c">
               <div id="rprtControl">
                  <fieldset id="controlgroupLOD" data-role="controlgroup" data-mini="true">
                     <legend>Level of detail</legend><label for="cntrlAllDetails">All details</label><input type="radio" name="radio-lod" id="cntrlAllDetails" value="cntrlAllDetails"><label for="cntrlLessInformation">Less information</label><input type="radio" name="radio-lod" id="cntrlLessInformation" value="cntrlLessInformation"><label for="cntrlSimplified">Simplified</label><input type="radio" name="radio-lod" id="cntrlSimplified" value="cntrlSimplified" checked></fieldset>
                  <fieldset id="controlgroupShow" data-role="controlgroup" data-mini="true">
                     <legend>Show</legend><label for="cntrlShowAll">All</label><input type="radio" name="radio-filter" id="cntrlShowAll" value="cntrlShowAll" checked><label for="cntrlShowOnlyFailed">Only failed</label><input type="radio" name="radio-filter" id="cntrlShowOnlyFailed" value="cntrlShowOnlyFailed"><label for="cntrlShowOnlyManual">Only manual</label><input type="radio" name="radio-filter" id="cntrlShowOnlyManual" value="cntrlShowOnlyManual"></fieldset>
               </div>
            </div>
         </div>
         <div id="rprtParameters" data-role="collapsible" data-collapsed-icon="info" class="ReportDetail">
            <h3>Parameters</h3>
            <table>
               <tbody>
                  <tr>
                     <td>etf.testcases</td>
                     <td>*</td>
                  </tr>
               </tbody>
            </table>
         </div>
         <div id="rprtTestobject" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Test object: GetRecordByIdResponse.xml</h3>
            <p>Web Test Object</p>
            <p>Files: 1</p>
            <p>Size: 12 KB</p>
            <p>Associated test object types: </p>
            <ul>
               <li>Metadata records  (A set of XML documents. Each document contains one or more gmd:MD_Metadata elements.)</li>
            </ul>
         </div>
         <div id="rprtStatReport" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Metadata record statistics</h3>
            <table>
               <tbody>
                  <tr>
                     <th>Type</th>
                     <th>Total Count</th>
                  </tr>
                  <tr>
                     <td>all</td>
                     <td>1</td>
                  </tr>
                  <tr>
                     <td>service</td>
                     <td>1</td>
                  </tr>
               </tbody>
            </table>
         </div>
         <div id="rprtLogFile" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Log path: Conformance class: XML encoding of ISO 19115/19119 metadata</h3><pre>Testing 1 records
Executing Test Suite: /home/tomcat/.etf/projects/ets-repository/metadata/xml/ets-md-xml-bsxets.xml
Statistics table: 1 ms
Test Suite 'Conformance class: XML encoding of ISO 19115/19119 metadata' started
Test Case 'Schema validation' started
Validating file GetRecordByIdResponse.xml: 2579 ms
Test Assertion 'md-xml.a.1: Validate XML documents': PASSED - 2580 ms
Test Case 'Schema validation' finished: PASSED
Test Suite 'Conformance class: XML encoding of ISO 19115/19119 metadata' finished: PASSED
</pre></div>
         <div id="rprtLogFile" data-role="collapsible" data-collapsed-icon="info" class="DoNotShowInSimpleView">
            <h3>Log path: Conformance class: INSPIRE Profile based on EN ISO 19115 and EN ISO 19119</h3><pre>05.12.2017 19:34:55 - Preparing Test Run metadata_17316219_Geodetick&yacute; a kartografick&yacute; &uacute;stav Bratislava(GK&Uacute;)_INSPIRE ZBGIS (initiated Tue Dec 05 19:34:55 CET 2017)
05.12.2017 19:34:55 - Resolving Executable Test Suite dependencies
05.12.2017 19:34:55 - Preparing 2 Test Task:
05.12.2017 19:34:55 -  TestTask 1 (c02663cf-20f5-4a77-8d6c-f4dfffd26410)
05.12.2017 19:34:55 -  will perform tests on Test Object 'GetRecordByIdResponse.xml' by using Executable Test Suite 'LAZY.e3500038-e37c-4dcf-806c-6bc82d585b3b'
05.12.2017 19:34:55 -  with parameters: 
05.12.2017 19:34:55 - etf.testcases = *
05.12.2017 19:34:55 -  TestTask 2 (2492ae70-4cbf-4837-9b2a-3e78bb0a52ed)
05.12.2017 19:34:55 -  will perform tests on Test Object 'GetRecordByIdResponse.xml' by using Executable Test Suite 'Conformance class: INSPIRE Profile based on EN ISO 19115 and EN ISO 19119 (EID: ec7323d5-d8f0-4cfe-b23a-b826df86d58c, V: 0.2.4 )'
05.12.2017 19:34:55 -  with parameters: 
05.12.2017 19:34:55 - etf.testcases = *
05.12.2017 19:34:55 - Test Tasks prepared and ready to be executed. Waiting for the scheduler to start.
05.12.2017 19:34:55 - Setting state to CREATED
05.12.2017 19:34:55 - Changed state from CREATED to INITIALIZING
05.12.2017 19:34:56 - Starting TestRun.f3b86677-2463-47c0-a957-a07736403359 at 2017-12-05T19:34:57+01:00
05.12.2017 19:34:57 - Changed state from INITIALIZING to INITIALIZED
05.12.2017 19:34:57 - TestRunTask initialized
05.12.2017 19:34:57 - Creating new tests databases to speed up tests.
05.12.2017 19:34:57 - Skipping schema validation because no schema file has been set in the test suite. Data are only checked for well-formedness.
05.12.2017 19:34:57 - Optimizing last database etf-tdb-98646433-def7-4d4c-84d3-e82cd0a4cccc-0 
05.12.2017 19:34:57 - Import completed
05.12.2017 19:35:04 - Validation ended with 0 error(s)
05.12.2017 19:35:04 - Compiling test script
05.12.2017 19:35:04 - Starting XQuery tests
05.12.2017 19:35:04 - "Testing 1 records"
05.12.2017 19:35:04 - "Executing Test Suite: /home/tomcat/.etf/projects/ets-repository/metadata/xml/ets-md-xml-bsxets.xml"
05.12.2017 19:35:04 - "Statistics table: 1 ms"
05.12.2017 19:35:04 - "Test Suite 'Conformance class: XML encoding of ISO 19115/19119 metadata' started"
05.12.2017 19:35:04 - "Test Case 'Schema validation' started"
05.12.2017 19:35:07 - "Validating file GetRecordByIdResponse.xml: 2579 ms"
05.12.2017 19:35:07 - "Test Assertion 'md-xml.a.1: Validate XML documents': PASSED - 2580 ms"
05.12.2017 19:35:07 - "Test Case 'Schema validation' finished: PASSED"
05.12.2017 19:35:07 - "Test Suite 'Conformance class: XML encoding of ISO 19115/19119 metadata' finished: PASSED"
05.12.2017 19:35:07 - Releasing resources
05.12.2017 19:35:07 - TestRunTask initialized
05.12.2017 19:35:07 - Recreating new tests databases as the Test Object has changed!
05.12.2017 19:35:07 - Skipping schema validation because no schema file has been set in the test suite. Data are only checked for well-formedness.
05.12.2017 19:35:07 - Optimizing last database etf-tdb-98646433-def7-4d4c-84d3-e82cd0a4cccc-0 
05.12.2017 19:35:07 - Import completed
05.12.2017 19:35:08 - Validation ended with 0 error(s)
05.12.2017 19:35:08 - Compiling test script
05.12.2017 19:35:08 - Starting XQuery tests
05.12.2017 19:35:08 - "Testing 1 records"
05.12.2017 19:35:08 - "Executing Test Suite: /home/tomcat/.etf/projects/ets-repository/metadata/iso/ets-md-iso-bsxets.xml"
05.12.2017 19:35:08 - "Statistics table: 0 ms"
05.12.2017 19:35:08 - "Test Suite 'Conformance class: INSPIRE Profile based on EN ISO 19115 and EN ISO 19119' started"
05.12.2017 19:35:08 - "Test Case 'Common tests' started"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.1: Title': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.2: Abstract': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.3: Access and use conditions': PASSED_MANUAL - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.4: Public access': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.5: Specification': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.6: Language': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.7: Metadata contact': PASSED - 1 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.8: Metadata contact role': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.9: Resource creation date': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.10: Responsible party contact info': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.a.11: Responsible party role': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Case 'Common tests' finished: PASSED_MANUAL"
05.12.2017 19:35:08 - "Test Case 'Hierarchy level' started"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.b.1: Hierarchy': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Case 'Hierarchy level' finished: PASSED"
05.12.2017 19:35:08 - "Test Case 'Dataset (series) tests' started"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.1: Dataset identification': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.2: Dataset language': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.3: Dataset linkage': PASSED - 1 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.4: Dataset conformity': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.5: Dataset topic': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.6: Dataset geographic Bounding box': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.c.7: Dataset lineage': PASSED - 0 ms"
05.12.2017 19:35:08 - "Test Case 'Dataset (series) tests' finished: PASSED"
05.12.2017 19:35:08 - "Test Case 'Service tests' started"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.d.1: Service type': PASSED - 0 ms"
05.12.2017 19:35:08 - "Checking URL: 'https://zbgisws.skgeodesy.sk/inspire_administrative_units_wfs/service.svc/get'"
05.12.2017 19:35:08 - "Test Assertion 'md-iso.d.2: Service linkage': PASSED_MANUAL - 155 ms"
05.12.2017 19:35:08 - "Checking URL: 'https://zbgisws.skgeodesy.sk/zbgiscsw/service.svc/get?REQUEST=GetRecordById&amp;SERVICE=CSW&amp;VERSION=2.0.2&amp;OUTPUTSCHEMA=http://www.isotc211.org/2005/gmd&amp;ELEMENTSETNAME=full&amp;Id=https://data.gov.sk/set/rpi/gmd/17316219/SK_UGKK_INSPIRE_WFS_AU'"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.d.3: Coupled resource': FAILED - 199 ms"
05.12.2017 19:35:09 - "Test Case 'Service tests' finished: FAILED"
05.12.2017 19:35:09 - "Test Case 'Keywords' started"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.e.1: Keywords': PASSED - 0 ms"
05.12.2017 19:35:09 - "Test Case 'Keywords' finished: PASSED"
05.12.2017 19:35:09 - "Test Case 'Keywords - details' started"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.f.1: Dataset keyword': PASSED - 0 ms"
05.12.2017 19:35:09 - "Checking URL: 'http://inspire.ec.europa.eu/metadata-codelist/SpatialDataServiceCategory/SpatialDataServiceCategory.en.atom'"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.f.2: Service keyword': PASSED - 5 ms"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.f.3: Keywords in vocabulary grouped': PASSED - 0 ms"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.f.4: Vocabulary information': PASSED - 1 ms"
05.12.2017 19:35:09 - "Test Case 'Keywords - details' finished: PASSED"
05.12.2017 19:35:09 - "Test Case 'Temporal extent' started"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.g.1: Temporal extent': PASSED - 0 ms"
05.12.2017 19:35:09 - "Test Case 'Temporal extent' finished: PASSED"
05.12.2017 19:35:09 - "Test Case 'Temporal extent - details' started"
05.12.2017 19:35:09 - "Test Assertion 'md-iso.h.1: Temporal date': PASSED - 0 ms"
05.12.2017 19:35:09 - "Test Case 'Temporal extent - details' finished: PASSED"
05.12.2017 19:35:09 - "Test Suite 'Conformance class: INSPIRE Profile based on EN ISO 19115 and EN ISO 19119' finished: FAILED"
05.12.2017 19:35:09 - Releasing resources
05.12.2017 19:35:09 - Changed state from INITIALIZED to RUNNING
05.12.2017 19:35:13 - Duration: 17sec
05.12.2017 19:35:13 - TestRun finished
05.12.2017 19:35:13 - Changed state from RUNNING to COMPLETED
</pre></div>
         <div class="TestSuite" data-role="collapsible" data-theme="h" data-content-theme="h">
            <h2>Conformance class: XML encoding of ISO 19115/19119 metadata
               <div class="ui-li-count">1</div>
            </h2>This test suite examines XML documents containing gmd:MD_Metadata records against basic requirements for the encoding for metadata in INSPIRE.<br/><br/>
<b>This is a draft version. It has limitations and is expected to contain errors.</b> Please report any issues or problems <a href="https://github.com/interactive-instruments/ets-repository/issues" target="_blank">in GitHub</a>.<br/><br/>
Source: <a href="http://inspire.ec.europa.eu/id/ats/metadata/1.3/xml-encoding" target="_blank">Conformance Class 'XML encoding of ISO 19115/19119 metadata'</a><br><br><table>
               <tbody>
                  <tr>
                     <td>Status</td>
                     <td>Passed</td>
                  </tr>
                  <tr>
                     <td>Duration</td>
                     <td>2.580 s</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Test suite ID</td>
                     <td>EIDe3500038-e37c-4dcf-806c-6bc82d585b3b</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Author</td>
                     <td>interactive instruments GmbH</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Date created</td>
                     <td>30/08/2016 02:00:00 GMT</td>
                  </tr>
                  <tr>
                     <td>Version</td>
                     <td>0.2.0</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last editor</td>
                     <td>interactive instruments GmbH</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last updated</td>
                     <td>21/02/2017 18:00:00 GMT</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Reference</td>
                     <td><a class="ui-link" href="http://github.com/inspire-eu-validation/ets-repository/metadata/xml">Link</a></td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Hash</td>
                     <td>CBF29CE484222325</td>
                  </tr>
               </tbody>
            </table><br><div class="TestModulePlaceHolder">
               <div data-role="collapsible" data-enhanced="true" id="EID242272e0-3f0a-4e9c-9643-657c4d6d304a" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed TestCase SuccessfulTestCase">
                  <h3 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-plus ui-btn-h ui-mini">Schema validation
                        <div class="ui-li-count">1</div><span class="ui-collapsible-heading-status"> click to expand contents</span></a></h3>
                  <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h">Validation of the XML documents under test against the ISO/OGC metadata schemas.<br><br><table>
                        <tbody>
                           <tr>
                              <td>Status</td>
                              <td>Passed</td>
                           </tr>
                           <tr>
                              <td>Duration</td>
                              <td>2.580 s</td>
                           </tr>
                           <tr class="ReportDetail">
                              <td>Test case ID</td>
                              <td>EID242272e0-3f0a-4e9c-9643-657c4d6d304a</td>
                           </tr>
                        </tbody>
                     </table><br><div class="TestStepPlaceHolder">
                        <div data-role="collapsible" data-enhanced="true" id="EID65407447-fe7d-431b-a8cd-61f7e510145e" data-mini="true" class="ui-collapsible ui-collapsible-inset ui-corner-all ui-collapsible-collapsed Assertion SuccessfulAssertion">
                           <h5 class="ui-collapsible-heading ui-collapsible-heading-collapsed"><a href="#" class="ui-collapsible-heading-toggle ui-btn ui-btn-icon-left ui-icon-check ui-btn-h ui-mini">md-xml.a.1: Validate XML documents<span class="ui-collapsible-heading-status"> click to expand contents</span></a></h5>
                           <div aria-hidden="true" class="ui-collapsible-content ui-collapsible-content-collapsed ui-body-h"><p>Validate each document against the schema(s) specified in the xsi:schemaLocation attribute using strict XML schema validation.</p>
<p>Official XML schemas are currently found in two separate locations:</p>
<ul>
<li>ISO repository for publicly available standards. The ISO 19139 schemas can be found at <a href="http://standards.iso.org/ittf/PubliclyAvailableStandards/ISO_19139_Schemas/">http://standards.iso.org/ittf/PubliclyAvailableStandards/ISO_19139_Schemas/</a>.</li>
<li>OGC Schema repository. The ISO 19139 schemas are located at <a href="http://schemas.opengis.net/iso/19139/20070417/">http://schemas.opengis.net/iso/19139/20070417/</a> and <a href="http://schemas.opengis.net/iso/19139/20060504/">http://schemas.opengis.net/iso/19139/20060504/</a>. The difference in the schemas is the GML version. The version dated "2007-04-17" uses GML 3.2.1, the version dated "2006-06-04" use GML 3.2.0, which was never approved or published by OGC. The major difference is that GML 3.2.0 schemas are defined in the namespace http://www.opengis.net/gml whereas GML 3.2.1 schemas are defined in the namespace http://www.opengis.net/gml/3.2.<br/>
The ISO AP schemas are located at <a href="http://schemas.opengis.net/csw/2.0.2/profiles/apiso/">http://schemas.opengis.net/csw/2.0.2/profiles/apiso/</a>. The ISO AP schemas are bound to the ISO 19139 schemas dated "2006-06-04".<br/>
The schemas located in the ISO repository for publicly available standards are the same as the ISO 19139 schemas dated "2007-04-17".</li>
</ul>
I.e., each document is validated using the following XML schema definition:
<ul>
<li>If the parameter 'encoding' is 'CSW ISO AP 1.0.0': <a href="http://schemas.opengis.net/csw/2.0.2/profiles/apiso/1.0.0/apiso.xsd" target="_blank">http://schemas.opengis.net/csw/2.0.2/profiles/apiso/1.0.0/apiso.xsd</a></li>
<li>If the parameter 'encoding' is 'ISO/TS 19139': <a href="http://schemas.opengis.net/iso/19139/20070417/gmd/gmd.xsd" target="_blank">http://schemas.opengis.net/iso/19139/20070417/gmd/gmd.xsd</a></li>
<li>If no encoding information is provided with the test, the encoding is determined by inspecting the schemaLocation based on the schema documents used for the 'http://www.isotc211.org/2005/gmd' namespace. If this information cannot be determined, assume 'CSW ISO AP 1.0.0'.</li>
</ul>
<p><b>Known limitations:</b></p>
<ul>
<li>Only schema validation against the schemas provided in the xsi:schemaLocation attribute is currently supported. The built-in validator used for validating XML documents against a pre-selected schema, e.g. apiso.xsd, has issues that need to be resolved first.</li>
<li>Note that validation is done on a file-by-file basis and access to many remote schema files is time consuming. I.e. it will be <em>much</em> faster to validate a single document with many metadata records than many files with a single record each.</li>
</ul>
<p>Source: <a href="http://inspire.ec.europa.eu/id/ats/metadata/1.3/xml-encoding/schema-validation" target="_blank">Abstract Test Case 'Schema validation'</a></p><br><br><table>
                                 <tbody>
                                    <tr>
                                       <td>Status</td>
                                       <td>Passed</td>
                                    </tr>
                                    <tr>
                                       <td>Duration</td>
                                       <td>2.580 s</td>
                                    </tr>
                                    <tr class="ReportDetail">
                                       <td>Assertion ID</td>
                                       <td>EID04c71089-1d8c-4e67-897c-11908e78e2d4</td>
                                    </tr>
                                    <tr class="DoNotShowInSimpleView">
                                       <td>Assertion URI</td>
                                       <td><a class="ui-link" href="http://inspire-sandbox.jrc.ec.europa.eu/etf-webapp//v2/TestRuns/EIDf3b86677-2463-47c0-a957-a07736403359.html?lang=en#EID65407447-fe7d-431b-a8cd-61f7e510145e" data-ajax="false" onclick="event.preventDefault(); jumpToAnchor('EID65407447-fe7d-431b-a8cd-61f7e510145e'); return false;">Link</a></td>
                                    </tr>
                                 </tbody>
                              </table><br><div class="ReportDetail Expression"><label for="EID65407447-fe7d-431b-a8cd-61f7e510145e.expression">Expression:</label><textarea id="EID65407447-fe7d-431b-a8cd-61f7e510145e.expression" class="Expression ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow" data-mini="true" readonly>(: TODO BaseX validation is incomplete and needs to be replaced by a custom validation module, see 'known limitations' :)
let $errors := (
	if ($validationErrors) then
		for $error in $validationErrors
		return local:addMessage('TR.validationError', map { 'text': $error })
	else
		for $file in $db
		  return 
			 if ($file/element()/@xsi:schemaLocation) then 
				let $start := prof:current-ms()
				let $infos := validate:xsd-info($file)
				let $duration := prof:current-ms()-$start
				let $logentry := local:log('Validating file ' || local:filename($file) || ': ' || $duration || ' ms')
				let $errors := count($infos)
				return
				  if ($errors&gt;0) then
					 (local:addMessage('TR.invalidSchema', map { 'filename': local:filename($file), 'count': string($errors) }),
					  for $info in $infos return local:addMessage('TR.xmlSchemaError', map { 'filename': local:filename($file), 'error': $info }))
				  else ()
			 else
				for $record in $records[db:path(.)=db:path($file/element())]
				  let $id := $record/gmd:fileIdentifier/gco:CharacterString/text()
				  let $infos := validate:xsd-info($record)
				  let $errors := count($infos)
				  return
					 if ($errors&gt;0) then
						(local:addMessage('TR.invalidSchemaRecord', map { 'filename': local:filename($record), 'id': $id, 'count': string($errors) }),
						for $info in $infos return local:addMessage('TR.xmlSchemaErrorRecord', map { 'filename': local:filename($record), 'id': $id, 'error': $info }))
					 else ())[position() le $limitErrors]
return
(if ($errors) then 'FAILED' else 'PASSED',
 local:error-statistics('TR.filesWithErrors', count($errors[@ref eq 'TR.invalidSchema'])),
 local:error-statistics('TR.recordsWithErrors', count($errors[@ref eq 'TR.invalidSchemaRecord'])),
 $errors[position() le $limitErrors])</textarea></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <div class="TestSuite" data-role="collapsible" data-theme="e" data-content-theme="e">
            <h2>Conformance class: INSPIRE Profile based on EN ISO 19115 and EN ISO 19119
               <div class="ui-li-count">0</div>
            </h2>This test suite examines metadata records against the requirements for metadata in INSPIRE.<br/><br/>
<b>This is a draft version. It has limitations and is expected to contain errors.</b> Please report any issues or problems <a href="https://github.com/interactive-instruments/ets-repository/issues" target="_blank">in GitHub</a>.<br/><br/>
Known limitations are documented in the description of the applicable test case or test assertion.<br/><br/>
There is a general limitation in all assertions that polymorphism and containment by reference (see the <a href="http://inspire.ec.europa.eu/id/ats/metadata/1.3/iso-19115-19119/README#ref_TG_MD" target="_blank">Technical Guidance</a>, sub-clauses A.3, A.4 and A.5) are not supported. However, the current Abstract Test Suite does not support polymorphism and references either (all XPath expressions do not support polymorhism or references; in addition, schema validation is only executed against the ISO/OGC schemas without extensions). It is therefore unclear if this is really a limitation or if the sections in the technical guidance are outdated.<br/><br/>
Source: <a href="http://inspire.ec.europa.eu/id/ats/metadata/1.3/iso-19115-19119" target="_blank">Conformance Class 'INSPIRE Profile based on EN ISO 19115 and EN ISO 19119'</a><br/><br/>
Pre-requisite conformance classes:
<ul><li><a href="http://inspire.ec.europa.eu/id/ats/metadata/1.3/xml-encoding" target="_blank">Conformance Class 'XML encoding of ISO 19115/19119 metadata'</a></li></ul><br><br><table>
               <tbody>
                  <tr>
                     <td>Status</td>
                     <td>Internal error in test engine occured</td>
                  </tr>
                  <tr>
                     <td>Duration</td>
                     <td>0.001 s</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Test suite ID</td>
                     <td>EIDec7323d5-d8f0-4cfe-b23a-b826df86d58c</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Author</td>
                     <td>interactive instruments GmbH</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Date created</td>
                     <td>30/08/2016 02:00:00 GMT</td>
                  </tr>
                  <tr>
                     <td>Version</td>
                     <td>0.2.4</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last editor</td>
                     <td>interactive instruments GmbH</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Last updated</td>
                     <td>21/08/2017 11:24:00 GMT</td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Reference</td>
                     <td><a class="ui-link" href="http://github.com/inspire-eu-validation/ets-repository/metadata/iso">Link</a></td>
                  </tr>
                  <tr class="ReportDetail">
                     <td>Hash</td>
                     <td>CBF29CE484222325</td>
                  </tr>
               </tbody>
            </table><br><h3>The Test Suite was not executed because the Test Driver returned an error.</h3><label for="error.EID170c0e4b-0031-4a89-87d4-acbb0664af52">Error message</label><textarea id="error.EID170c0e4b-0031-4a89-87d4-acbb0664af52" data-mini="true" readonly class="ui-input-text ui-shadow-inset ui-body-inherit ui-corner-all ui-mini ui-textinput-autogrow">de.interactive_instruments.etf.dal.dao.exceptions.StoreException: org.xml.sax.SAXException: cvc-complex-type.3.2.2: Attribute 'codeListValue' is not allowed to appear in element 'argument'.
org.xml.sax.SAXParseException; lineNumber: 246; columnNumber: 83; cvc-complex-type.3.2.2: Attribute 'codeListValue' is not allowed to appear in element 'argument'.</textarea><p>Please contact the system administrator if the problem persists.</p>
         </div>
      </div>
      <div data-role="footer">
         <h1>Report generated by ETF</h1>
      </div>
      <div class="ui-field-contain" id="lodFadinMenu" style="display: none; width: 200px; position: fixed; top: 10px; right: 5px;" data-role="controlgroup"><label for="select-Show">Level of detail</label><select name="select-Show" id="lodFadinMenuSelect" data-mini="true">
            <option value="cntrlAllDetails">All details</option>
            <option value="cntrlLessInformation">Less information</option>
            <option value="cntrlSimplified" selected>Simplified</option></select></div><script>
			
			function SelectorCache() {
				var cache = {};
				function getFromCache( selector ) {
					if ( undefined === cache[ selector ] ) {
						cache[ selector ] = $( selector );
					}
					return cache[ selector ];
				}
				return { get: getFromCache };
			}
			var cache = new SelectorCache();

			function hide(elements) {
				elements.css({ display: 'none' });
			}

			function show(elements) {
				elements.css({ display: '' });
			}

			function updateLod(cntrl) {
				if(cntrl=="cntrlSimplified")
				{
					hide(cache.get('.ReportDetail, .DoNotShowInSimpleView, .XQueryContainsAssertion'));
				}
				else if(cntrl=="cntrlLessInformation")
				{
					hide(cache.get('.ReportDetail'));
					show(cache.get('.DoNotShowInSimpleView'));
				}
				else if(cntrl=="cntrlAllDetails")
				{
					show(cache.get('.ReportDetail, .DoNotShowInSimpleView'));
				}
			}
			
			
			cache.get( "input[name=radio-filter]" ).on( "click", function() {
			
			var cntrl = $( "input[name=radio-filter]:checked" ).val();
				if(cntrl=="cntrlShowOnlyFailed")
				{
					hide(cache.get('.SuccessfulTestModule, .ManualTestModule, .SkippedTestModule, .SuccessfulTestCase, .ManualTestCase, .SuccessfulTestStep, .ManualTestStep, .SuccessfulAssertion, .ManualAssertion, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion'));					
					show(cache.get('.FailedTestCase, .FailedTestStep, .FailedAssertion'));
					
					if(cache.get('.TestStep, .Assertion').length < 3500) {
						cache.get('.TestSuite').collapsible('expand');
						cache.get('.FailedTestModule').collapsible('expand');
						cache.get('.FailedTestCase').collapsible('expand');
						cache.get('.FailedTestStep').collapsible('expand');
						cache.get('.FailedAssertion').collapsible('expand');
					}
				}
				else if(cntrl=="cntrlShowOnlyManual")
				{
					hide(cache.get('.SuccessfulTestModule, .FailedTestModule, .SkippedTestModule, .SuccessfulTestCase, .FailedTestCase, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion, .SuccessfulTestStep, .FailedTestStep, .SuccessfulAssertion, .FailedAssertion'));
					show(cache.get('.ManualTestModule, .ManualTestCase, .ManualTestStep, .ManualAssertion'));
					
					if(cache.get('.TestStep, .Assertion').length < 3500) {
						cache.get('.TestSuite').collapsible('expand');
						cache.get('.ManualTestModule').collapsible('expand');
						cache.get('.ManualTestCase').collapsible('expand');
						cache.get('.ManualTestStep').collapsible('expand');
						cache.get('.ManualAssertion').collapsible('expand');
					}
				}
				else if(cntrl=="cntrlShowAll")
				{
					show(cache.get('.SuccessfulTestModule, .FailedTestModule, .ManualTestModule, .SkippedTestModule, .SuccessfulTestCase, .SuccessfulTestStep, .SuccessfulAssertion, .SkippedTestCase, .SkippedTestStep, .SkippedAssertion, .ManualTestCase, .ManualTestStep, .ManualAssertion, .FailedTestCase, .FailedTestStep, .FailedAssertion'));
				}
			});
			
			$.fn.exists = function(){ return this.length > 0; }
			
			$.fn.getParentWithClass = function(className) {
				var p = this.parent();
				if(p.exists()) {
					return p.hasClass(className) ? p : p.getParentWithClass(className);
				}
				console.warn('Parent class '+className+' not found');
				return null;
			}
			
			
			function jumpToAnchor(anchorId) {
				var anchorElement = $('#'+anchorId);
				if(anchorId!="" && anchorElement.exists()) {
					console.log("Scrolling to anchor: "+anchorId);
					// Expand parent model items

					anchorElement.collapsible('expand').getParentWithClass("TestSuite").collapsible('expand');
					var testModulePar = anchorElement.collapsible('expand').getParentWithClass("TestModule")
					if(testModulePar) {
						testModulePar.collapsible('expand');
					}
					var testCasePar = anchorElement.collapsible('expand').getParentWithClass("TestCase");
					if(testCasePar) {
						testCasePar.collapsible('expand');
					}
					var testStepPar = anchorElement.collapsible('expand').getParentWithClass("TestStep");
					if(testStepPar) {
						testStepPar.collapsible('expand');
					}
					var position = $(anchorElement).offset().top;
					$("html, body").stop().animate({ scrollTop: position });
					window.history.pushState(null,"", "#"+anchorId);
				}
			}			
			
			$("#controlgroupLOD input").on( "click", function() {
				var cntrl = $( "#controlgroupLOD input:checked" ).val();
				$('#lodFadinMenuSelect').val(cntrl).selectmenu('refresh');
				updateLod(cntrl);
			});
			$("#lodFadinMenuSelect").on( "change", function() {
				var cntrl = $( "#lodFadinMenuSelect option:selected").val()
				$("#cntrlAllDetails").prop('checked', false).checkboxradio("refresh");
				$("#cntrlLessInformation").prop('checked', false).checkboxradio("refresh");
				$("#cntrlSimplified").prop('checked', false).checkboxradio("refresh");
				$("#"+cntrl).prop('checked', true).checkboxradio("refresh");
				updateLod(cntrl);
			});	
			$(document).scroll(function () {
				var y = $(this).scrollTop();
				if (y > 370) {
					cache.get('#lodFadinMenu').fadeIn();
				} else {
					cache.get('#lodFadinMenu').fadeOut();
				}
			});
			
			
			$(document).one('pagebeforeshow', function() {				
				
				var url = decodeURIComponent(window.location.href);
				var anchorIdx = url.indexOf("#");
				var anchorId = anchorIdx != -1 ? url.substring(anchorIdx+1) : "";
				var anchorElement = $('#'+anchorId);
				if(anchorId!="" && anchorElement.exists()) {
					cache.get('.DoNotShowInSimpleView').show();
					jumpToAnchor(anchorId);
					$("body").one("pagecontainershow", function () {
						var position = cache.get(anchorElement).offset().top;
						// ... but it works...
						setTimeout( function() {
							cache.get("html, body").stop().animate({ scrollTop: position });
							},150);
						});
				}
				
				
				if ( cache.get('.ManualTestCase, .ManualTestStep, .ManualAssertion').length==0) {
					cache.get('#cntrlShowOnlyManual').checkboxradio();
					cache.get('#cntrlShowOnlyManual').checkboxradio('refresh');
					cache.get('#cntrlShowOnlyManual').checkboxradio('disable').checkboxradio('refresh');
				}
				
				
				hide(cache.get('.ReportDetail, .DoNotShowInSimpleView, .XQueryContainsAssertion'));
				
			});
			
		</script></body>
</html>